
import java.util.Vector;

public abstract class jtalk
{
    Vector vectMsgType = new Vector();
    Vector vectMsg = new Vector();
    
    public void acceptMsg(String sMsgType, String sMsg)
    {
        // override this method to handle messages
    }
    
    public int getNumMessages()
    {
        return vectMsgType.size();
    }
    
    public String getMsgType(int iMsgIndex)
    {
        return (String)vectMsgType.elementAt(iMsgIndex);
    }
    
    public String getMsg(int iMsgIndex)
    {
        return (String)vectMsg.elementAt(iMsgIndex);
    }
    
    public void flushMsg(int iMsgIndex)
    {
        vectMsg.removeElementAt(iMsgIndex);
        vectMsgType.removeElementAt(iMsgIndex);
    }
    
    // call this function to store messages that will be retrieved by the 
    // talkative routines
    void publishMessage(String sMsgType, String sMsg)
    {
        vectMsgType.addElement(sMsgType);
        vectMsg.addElement(sMsg);
    }
}
